Main Page Modules Data Structures File List Data Fields Globals Related Pages

# python/header-py.h File Reference

More...

Go to the source code of this file.

## Typedefs
typedef hdrObject_s | hdrObject
## Functions
hdrObject * | hdr_Wrap (Header h)
Header | hdrGetHeader (hdrObject *h)
long | tagNumFromPyObject (PyObject *item)
PyObject * | labelCompare (PyObject *self, PyObject *args)
PyObject * | versionCompare (PyObject *self, PyObject *args)
PyObject * | rpmMergeHeadersFromFD (PyObject *self, PyObject *args)
int | rpmMergeHeaders (PyObject *list, FD_t fd, int matchTag)
| This assumes the order of list matches the order of the new headers, and throws an exception if that isn't true. More...
PyObject * | rpmHeaderFromFile (PyObject *self, PyObject *args)
PyObject * | rpmHeaderFromFD (PyObject *self, PyObject *args)
PyObject * | rpmReadHeaders (FD_t fd)
PyObject * | rhnLoad (PyObject *self, PyObject *args)
PyObject * | hdrLoad (PyObject *self, PyObject *args)
## Variables
PyTypeObject | hdr_Type
PyObject * | pyrpmError

## Detailed Description

Definition in file header-py.h.

## Function Documentation

hdrObject* hdr_Wrap | ( | Header | h | ) |

| Definition at line 628 of file header-py.c. Referenced by hdrLoad, rhnLoad, rpmdb_subscript, rpmmi_iternext, rpmReadHeaders, and rpmts_HdrFromFdno.

Header hdrGetHeader | ( | hdrObject * | h | ) |

| Definition at line 638 of file header-py.c. Referenced by findUpgradeSet, hdr_dsFromHeader, hdr_dsOfHeader, and hdr_fiFromHeader.

PyObject* hdrLoad | ( | PyObject * | self,
|  | PyObject * | args
| ) |

| Definition at line 645 of file header-py.c.

PyObject* labelCompare | ( | PyObject * | self,
|  | PyObject * | args
| ) |

| Definition at line 911 of file header-py.c.

PyObject* rhnLoad | ( | PyObject * | self,
|  | PyObject * | args
| ) |

| Definition at line 680 of file header-py.c.

PyObject* rpmHeaderFromFD | ( | PyObject * | self,
|  | PyObject * | args
| ) |

| Definition at line 770 of file header-py.c.

PyObject* rpmHeaderFromFile | ( | PyObject * | self,
|  | PyObject * | args
| ) |

| Definition at line 787 of file header-py.c.

int rpmMergeHeaders | ( | PyObject * | list,
|  | FD_t | fd,
|  | int | matchTag
| ) |

| This assumes the order of list matches the order of the new headers, and throws an exception if that isn't true. Definition at line 811 of file header-py.c. Referenced by rpmMergeHeadersFromFD.

PyObject* rpmMergeHeadersFromFD | ( | PyObject * | self,
|  | PyObject * | args
| ) |

| Definition at line 868 of file header-py.c.

PyObject* rpmReadHeaders | ( | FD_t | fd | ) |

| Definition at line 731 of file header-py.c. Referenced by rpmHeaderFromFD, and rpmHeaderFromFile.

PyObject* versionCompare | ( | PyObject * | self,
|  | PyObject * | args
| ) |

| Definition at line 899 of file header-py.c.